Commit b0e2fbe2 authored by Vivien Kraus's avatar Vivien Kraus
Browse files

Revert "???"

This reverts commit ae07be29.
parent fc9bd017
#!/bin/sh
seed="$1"
version=$(cat ../dist/version)
for n_players in 3 4 5
do
>&2 echo "Generating $seed, $n_players players"
>&2 echo "Generating $seed for version $version, $n_players players"
(tarot --generate=mcts -n $n_players -s $seed > $seed-${n_players}p.tarot-t \
&& mv $seed-${n_players}p.tarot-t dataset/generated/mcts/$seed-${n_players}p.tarot) \
|| >&2 echo "It failed."
(tarot --generate=stacking -n $n_players -s $seed > $seed-${n_players}p.tarot-t \
&& mv $seed-${n_players}p.tarot-t dataset/generated/stacking/$seed-${n_players}p.tarot) \
(tarot --generate=stacking -n $n_players -s $version-$seed > $seed-${n_players}p.tarot-t \
&& mv $seed-${n_players}p.tarot-t dataset/generated/stacking/$version-$seed-${n_players}p.tarot) \
|| >&2 echo "It failed."
if [ "x$n_players" = "x5" ]
then
>&2 echo "Generating $seed, 5 players with call"
>&2 echo "Generating $seed for verision $version, 5 players with call"
(tarot --generate=mcts -n 5 -c -s $seed > $seed-5pc.tarot-t \
&& mv $seed-5pc.tarot-t dataset/generated/mcts/$seed-5pc.tarot) \
|| >&2 echo "It failed."
(tarot --generate=stacking -n 5 -c -s $seed > $seed-5pc.tarot-t \
&& mv $seed-5pc.tarot-t dataset/generated/stacking/$seed-5pc.tarot) \
(tarot --generate=stacking -n 5 -c -s $version-$seed > $seed-5pc.tarot-t \
&& mv $seed-5pc.tarot-t dataset/generated/stacking/$version-$seed-5pc.tarot) \
|| >&2 echo "It failed."
fi
done
......@@ -45,12 +45,11 @@ git config --global user.name "Gitlab CI for the tarot package" || exit 1
git clone git@framagit.org:play-tarot/datasets.git dataset/ || exit 1
rm -rf dataset/generated/mcts
rm -rf dataset/generated/stacking
mkdir -p dataset/generated/mcts || exit 1
mkdir -p dataset/generated/stacking || exit 1
seq 1 100 | parallel ../tarot-$VERSION/ci/generate-seed.sh {}
seq 1 10 | parallel ../tarot-$VERSION/ci/generate-seed.sh {}
if test "x$CI_COMMIT_TAG" != "x" \
|| test "x$CI_COMMIT_REF_NAME" = "xmaster" \
......@@ -58,9 +57,8 @@ if test "x$CI_COMMIT_TAG" != "x" \
then
cd dataset
git checkout -b "update-generated-from-$VERSION" || exit 1
if git add .
if git add . && git commit -m"Add the generated datasets from version $VERSION"
then
git commit -m"Add the generated datasets from version $VERSION" || exit 1
git push origin "update-generated-from-$VERSION" || exit 1
fi
DATA=$(cat <<EOF
......
......@@ -8,8 +8,8 @@ msgid ""
msgstr ""
"Project-Id-Version: tarot 0.4.2.83-ebdc-dirty\n"
"Report-Msgid-Bugs-To: vivien@planete-kraus.eu\n"
"POT-Creation-Date: 2019-06-09 17:37+0200\n"
"PO-Revision-Date: 2019-06-09 17:42+0200\n"
"POT-Creation-Date: 2019-06-19 20:20+0200\n"
"PO-Revision-Date: 2019-06-19 20:26+0200\n"
"Last-Translator: Vivien Kraus <vivien@planete-kraus.eu>\n"
"Language-Team: French\n"
"Language: fr\n"
......@@ -469,7 +469,7 @@ msgstr "enchère> "
#: src/tarot-app/solo.vala:82 src/tarot-app/solo.vala:83
#: src/tarot-app/solo.vala:103 src/tarot-app/solo.vala:104
#: src/tarot-app/main.vala:382 src/tarot-app/main.vala:407
#: src/tarot-app/main.vala:389 src/tarot-app/main.vala:414
#: src/tarot-app/gui/widget.vala:419 src/tarot-app/gui/widget.ui:16
#: src/tarot-app/gui/widget.ui:17 src/tarot-app/gui/widget.ui:21
#: src/tarot-app/gui/widget.ui:22 src/tarot-app/gui/widget.ui:23
......@@ -477,12 +477,12 @@ msgid "pass"
msgstr "passe"
#: src/tarot-app/solo.vala:84 src/tarot-app/solo.vala:85
#: src/tarot-app/main.vala:384 src/tarot-app/gui/widget.vala:423
#: src/tarot-app/main.vala:391 src/tarot-app/gui/widget.vala:423
msgid "take"
msgstr "petite"
#: src/tarot-app/solo.vala:86 src/tarot-app/solo.vala:87
#: src/tarot-app/main.vala:386 src/tarot-app/gui/widget.vala:426
#: src/tarot-app/main.vala:393 src/tarot-app/gui/widget.vala:426
msgid "push"
msgstr "garde"
......@@ -509,7 +509,7 @@ msgid "declare> "
msgstr "déclaration> "
#: src/tarot-app/solo.vala:105 src/tarot-app/solo.vala:106
#: src/tarot-app/main.vala:409 src/tarot-app/gui/widget.vala:446
#: src/tarot-app/main.vala:416 src/tarot-app/gui/widget.vala:446
msgid "slam"
msgstr "chelem"
......@@ -567,21 +567,21 @@ msgstr "Cette poignée n'est pas possible.\n"
msgid "play> "
msgstr "jeu> "
#: src/tarot-app/main.vala:60 src/tarot-app/main.vala:191
#: src/tarot-app/main.vala:60 src/tarot-app/main.vala:193
msgid "input"
msgstr "entrée"
#: src/tarot-app/main.vala:86 src/tarot-app/main.vala:192
#: src/tarot-app/main.vala:471
#: src/tarot-app/main.vala:86 src/tarot-app/main.vala:194
#: src/tarot-app/main.vala:478
msgid "output"
msgstr "sortie"
#: src/tarot-app/main.vala:160
#: src/tarot-app/main.vala:160 src/tarot-app/main.vala:554
#, c-format
msgid "Could not register the D-Bus server, sorry: %s.\n"
msgstr "Impossible d'enregistrer le serveur D-Bus, désolé : %s.\n"
#: src/tarot-app/main.vala:170 src/tarot-app/main.vala:214
#: src/tarot-app/main.vala:170 src/tarot-app/main.vala:216
msgid "new-game"
msgstr "nouvelle-partie"
......@@ -589,7 +589,7 @@ msgstr "nouvelle-partie"
msgid "Create a new game"
msgstr "Crée une nouvelle partie"
#: src/tarot-app/main.vala:171 src/tarot-app/main.vala:215
#: src/tarot-app/main.vala:171 src/tarot-app/main.vala:217
msgid "deal-random"
msgstr "distribuer-hasard"
......@@ -597,7 +597,7 @@ msgstr "distribuer-hasard"
msgid "Deal the cards at random"
msgstr "Distribue les cartes au hasard"
#: src/tarot-app/main.vala:172 src/tarot-app/main.vala:218
#: src/tarot-app/main.vala:172 src/tarot-app/main.vala:220
msgid "deal-to"
msgstr "distribuer-à"
......@@ -609,7 +609,7 @@ msgstr "Distribue les cartes d'un joueur"
msgid "PN=CARD,CARD,..."
msgstr "JN=CARTE,CARTE,..."
#: src/tarot-app/main.vala:173 src/tarot-app/main.vala:222
#: src/tarot-app/main.vala:173 src/tarot-app/main.vala:224
msgid "deal-all"
msgstr "distribuer-tous"
......@@ -621,7 +621,7 @@ msgstr "Distribue les cartes de tous les joueurs à la fois"
msgid "OWNER1,OWNER2,..."
msgstr "J1,J2,..."
#: src/tarot-app/main.vala:174 src/tarot-app/main.vala:226
#: src/tarot-app/main.vala:174 src/tarot-app/main.vala:228
msgid "bid"
msgstr "enchère"
......@@ -637,7 +637,7 @@ msgstr ""
msgid "BID"
msgstr "ENCHÈRE"
#: src/tarot-app/main.vala:175 src/tarot-app/main.vala:230
#: src/tarot-app/main.vala:175 src/tarot-app/main.vala:232
msgid "declare"
msgstr "déclare"
......@@ -649,7 +649,7 @@ msgstr "Ajoute une déclaration de chelem à la partie"
msgid "'pass'/'slam'"
msgstr "« passe » / « chelem »"
#: src/tarot-app/main.vala:176 src/tarot-app/main.vala:234
#: src/tarot-app/main.vala:176 src/tarot-app/main.vala:236
msgid "call"
msgstr "appeler"
......@@ -661,7 +661,7 @@ msgstr "Appelle une carte"
msgid "CARD"
msgstr "CARTE"
#: src/tarot-app/main.vala:177 src/tarot-app/main.vala:238
#: src/tarot-app/main.vala:177 src/tarot-app/main.vala:240
msgid "dog"
msgstr "chien"
......@@ -673,7 +673,7 @@ msgstr "Révèle le chien"
msgid "CARD,CARD..."
msgstr "CARTE,CARTE,..."
#: src/tarot-app/main.vala:178 src/tarot-app/main.vala:242
#: src/tarot-app/main.vala:178 src/tarot-app/main.vala:244
msgid "discard"
msgstr "écarter"
......@@ -685,7 +685,7 @@ msgstr "L'écart est fait"
msgid "'' or CARD,CARD..."
msgstr "« » ou CARTE,CARTE,..."
#: src/tarot-app/main.vala:179 src/tarot-app/main.vala:246
#: src/tarot-app/main.vala:179 src/tarot-app/main.vala:248
msgid "handful"
msgstr "poignée"
......@@ -693,7 +693,7 @@ msgstr "poignée"
msgid "Show a handful"
msgstr "Montre une poignée"
#: src/tarot-app/main.vala:180 src/tarot-app/main.vala:250
#: src/tarot-app/main.vala:180 src/tarot-app/main.vala:252
msgid "play"
msgstr "jouer"
......@@ -701,7 +701,7 @@ msgstr "jouer"
msgid "Play a card"
msgstr "Joue une carte"
#: src/tarot-app/main.vala:181 src/tarot-app/main.vala:253
#: src/tarot-app/main.vala:181 src/tarot-app/main.vala:255
msgid "status"
msgstr "statut"
......@@ -709,20 +709,22 @@ msgstr "statut"
msgid "Print the status of the game"
msgstr "Affiche le statut de la partie"
#: src/tarot-app/main.vala:182 src/tarot-app/main.vala:255
#: src/tarot-app/main.vala:182 src/tarot-app/main.vala:257
msgid "generate"
msgstr "générer"
#: src/tarot-app/main.vala:182
msgid "Generate an entire game with MCTS or stacking moves"
msgstr "Génère une partie entière avec des coups de MCTS ou du régresseur par empilement"
msgstr ""
"Génère une partie entière avec des coups de MCTS ou du régresseur par "
"empilement"
#: src/tarot-app/main.vala:182
msgid "'mcts' or 'stacking'"
msgstr "« mcts » ou « empilement »"
#: src/tarot-app/main.vala:183 src/tarot-app/main.vala:258
#: src/tarot-app/main.vala:448
#: src/tarot-app/main.vala:183 src/tarot-app/main.vala:260
#: src/tarot-app/main.vala:455
msgid "mcts"
msgstr "mcts"
......@@ -730,7 +732,7 @@ msgstr "mcts"
msgid "Play the next move with MCTS"
msgstr "Joue le prochain coup avec MCTS"
#: src/tarot-app/main.vala:184 src/tarot-app/main.vala:259
#: src/tarot-app/main.vala:184 src/tarot-app/main.vala:261
msgid "mcts-tree"
msgstr "arbre-mcts"
......@@ -738,7 +740,7 @@ msgstr "arbre-mcts"
msgid "Print the MCTS tree for the next move"
msgstr "Affiche l'arbre MCTS pour le prochain coup"
#: src/tarot-app/main.vala:185 src/tarot-app/main.vala:260
#: src/tarot-app/main.vala:185 src/tarot-app/main.vala:262
msgid "impute"
msgstr "imputer"
......@@ -746,7 +748,7 @@ msgstr "imputer"
msgid "Impute the missing cards"
msgstr "Impute les cartes manquantes"
#: src/tarot-app/main.vala:186 src/tarot-app/main.vala:261
#: src/tarot-app/main.vala:186 src/tarot-app/main.vala:263
msgid "render"
msgstr "rendu"
......@@ -754,7 +756,7 @@ msgstr "rendu"
msgid "Render a game as PNG"
msgstr "Effectue un rendu de la partie comme PNG"
#: src/tarot-app/main.vala:187 src/tarot-app/main.vala:262
#: src/tarot-app/main.vala:187 src/tarot-app/main.vala:264
msgid "features"
msgstr "caractéristiques"
......@@ -762,8 +764,8 @@ msgstr "caractéristiques"
msgid "Extract the game features as an ARFF relations"
msgstr "Extrait les caractéristiques de la partie en relation ARFF"
#: src/tarot-app/main.vala:188 src/tarot-app/main.vala:263
#: src/tarot-app/main.vala:456
#: src/tarot-app/main.vala:188 src/tarot-app/main.vala:265
#: src/tarot-app/main.vala:463
msgid "stacking"
msgstr "empilement"
......@@ -771,7 +773,7 @@ msgstr "empilement"
msgid "Play the next move with the stacking predictor"
msgstr "Joue le prochain coup avec le prédicteur par empilement"
#: src/tarot-app/main.vala:189 src/tarot-app/main.vala:265
#: src/tarot-app/main.vala:189 src/tarot-app/main.vala:267
msgid "dbus-mcts"
msgstr "mcts-dbus"
......@@ -779,91 +781,107 @@ msgstr "mcts-dbus"
msgid "Run the MCTS as a DBus client"
msgstr "Exécuter le MCTS en tant que client DBus"
#: src/tarot-app/main.vala:189
#: src/tarot-app/main.vala:189 src/tarot-app/main.vala:190
msgid "SEAT_PATH"
msgstr "CHEMIN_VERS_SIÈGE"
#: src/tarot-app/main.vala:190 src/tarot-app/main.vala:321
#: src/tarot-app/main.vala:190 src/tarot-app/main.vala:271
msgid "dbus-stacking"
msgstr "empilement-dbus"
#: src/tarot-app/main.vala:190
msgid "Run the stacking AI as a DBus client"
msgstr "Exécuter le joueur par empilement en tant que client DBus"
#: src/tarot-app/main.vala:191 src/tarot-app/main.vala:274
msgid "dbus-server"
msgstr "serveur-dbus"
#: src/tarot-app/main.vala:191
msgid "Run a dbus server"
msgstr "Exécuter un serveur DBus"
#: src/tarot-app/main.vala:192 src/tarot-app/main.vala:328
msgid "server-bus-name"
msgstr "nom-serveur-bus"
#: src/tarot-app/main.vala:190
msgid "Set the bus name to connect to"
msgstr "Définit le nom du bus sur lequel se connecter"
#: src/tarot-app/main.vala:192
msgid "Set the server bus name"
msgstr "Définit le nom du bus du serveur"
#: src/tarot-app/main.vala:190
#: src/tarot-app/main.vala:192
msgid "BUS_NAME"
msgstr "NOM_BUS"
#: src/tarot-app/main.vala:191
#: src/tarot-app/main.vala:193
msgid "Input file to read for batch processing (defaults to stdin)"
msgstr "Fichier d'entrée à lire (par défaut, l'entrée standard)"
#: src/tarot-app/main.vala:191 src/tarot-app/main.vala:192
#: src/tarot-app/main.vala:193 src/tarot-app/main.vala:194
msgid "FILE"
msgstr "FICHIER"
#: src/tarot-app/main.vala:192
#: src/tarot-app/main.vala:194
msgid "Output file to write for batch processing (defaults to stdout)"
msgstr "Fichier de sortie à écrire (par défaut, la sortie standard)"
#: src/tarot-app/main.vala:193 src/tarot-app/main.vala:269
#: src/tarot-app/main.vala:195 src/tarot-app/main.vala:276
msgid "n-players"
msgstr "n-joueurs"
#: src/tarot-app/main.vala:193
#: src/tarot-app/main.vala:195
msgid "Specify the number of players for a new game"
msgstr "Spécifie le nombre de joueurs pour une nouvelle partie"
#: src/tarot-app/main.vala:193 src/tarot-app/main.vala:196
#: src/tarot-app/main.vala:197 src/tarot-app/main.vala:201
#: src/tarot-app/main.vala:202
#: src/tarot-app/main.vala:195 src/tarot-app/main.vala:198
#: src/tarot-app/main.vala:199 src/tarot-app/main.vala:203
#: src/tarot-app/main.vala:204
msgid "N"
msgstr "N"
#: src/tarot-app/main.vala:194 src/tarot-app/main.vala:272
#: src/tarot-app/main.vala:196 src/tarot-app/main.vala:279
msgid "call-allowed"
msgstr "appel-autorisé"
#: src/tarot-app/main.vala:194
#: src/tarot-app/main.vala:196
msgid "The new game can have a call"
msgstr "La partie peut avoir un appel"
#: src/tarot-app/main.vala:195 src/tarot-app/main.vala:275
#: src/tarot-app/main.vala:197 src/tarot-app/main.vala:282
msgid "seed"
msgstr "graine"
#: src/tarot-app/main.vala:195
#: src/tarot-app/main.vala:197
msgid "The random seed for MCTS-related operations (defaults to 'default')"
msgstr ""
"La graine aléatoire pour les opérations liées à MCTS (par défaut, "
"« default » -- défaut en anglais)"
#: src/tarot-app/main.vala:195
#: src/tarot-app/main.vala:197
msgid "NON-EMPTY"
msgstr "NON-VIDE"
#: src/tarot-app/main.vala:196 src/tarot-app/main.vala:280
#: src/tarot-app/main.vala:198 src/tarot-app/main.vala:287
msgid "retry"
msgstr "réessayer"
#: src/tarot-app/main.vala:196
#: src/tarot-app/main.vala:198
msgid "Number of times to retry an operation that may fail out of bad luck"
msgstr "Nombre de fois où l'on réessaye une action aléatoire qui peut échouer"
#: src/tarot-app/main.vala:197 src/tarot-app/main.vala:284
#: src/tarot-app/main.vala:199 src/tarot-app/main.vala:291
msgid "n-iterations"
msgstr "n-itérations"
#: src/tarot-app/main.vala:197
#: src/tarot-app/main.vala:199
msgid "Number of iterations for the MCTS exploration (defaults to 100)"
msgstr "Nombre d'itérations pour l'exploration du MCTS (par défaut, 100)"
#: src/tarot-app/main.vala:198 src/tarot-app/main.vala:288
#: src/tarot-app/main.vala:200 src/tarot-app/main.vala:295
msgid "mcts-parameter"
msgstr "mcts-paramètre"
#: src/tarot-app/main.vala:198
#: src/tarot-app/main.vala:200
msgid ""
"Parameter value for the MCTS algorithm. Pass a negative value to use the "
"maintainer's default"
......@@ -871,16 +889,16 @@ msgstr ""
"Valeur du paramètre pour l'algorithme MCTS. Passer une valeur négative pour "
"utiliser la valeur par défaut du mainteneur"
#: src/tarot-app/main.vala:198 src/tarot-app/main.vala:199
#: src/tarot-app/main.vala:200
#: src/tarot-app/main.vala:200 src/tarot-app/main.vala:201
#: src/tarot-app/main.vala:202
msgid "VALUE"
msgstr "VALEUR"
#: src/tarot-app/main.vala:199 src/tarot-app/main.vala:292
#: src/tarot-app/main.vala:201 src/tarot-app/main.vala:299
msgid "mcts-simulation-agreed"
msgstr "mcts-simulation-concertée"
#: src/tarot-app/main.vala:199
#: src/tarot-app/main.vala:201
msgid ""
"Tendency for the MCTS to use an agreed simulation. Pass a negative value to "
"use the maintainer's default"
......@@ -888,11 +906,11 @@ msgstr ""
"Tendance du MCTS à utiliser une simulation concertée. Passer une valeur "
"négative pour utiliser la valeur par défaut du mainteneur"
#: src/tarot-app/main.vala:200 src/tarot-app/main.vala:296
#: src/tarot-app/main.vala:202 src/tarot-app/main.vala:303
msgid "mcts-simulation-random"
msgstr "mcts-simulation-aléatoire"
#: src/tarot-app/main.vala:200
#: src/tarot-app/main.vala:202
msgid ""
"Tendency for the MCTS to use a random simulation. Pass a negative value to "
"use the maintainer's default"
......@@ -900,75 +918,81 @@ msgstr ""
"Tendance du MCTS à utiliser une simulation aléatoire. Passer une valeur "
"négative pour utiliser la valeur par défaut du mainteneur"
#: src/tarot-app/main.vala:201 src/tarot-app/main.vala:300
#: src/tarot-app/main.vala:203 src/tarot-app/main.vala:307
msgid "width"
msgstr "largeur"
#: src/tarot-app/main.vala:201
#: src/tarot-app/main.vala:203
msgid "PNG width (defaults to 640)"
msgstr "largeur du PNG (par défaut, 640)"
#: src/tarot-app/main.vala:202 src/tarot-app/main.vala:304
#: src/tarot-app/main.vala:204 src/tarot-app/main.vala:311
msgid "height"
msgstr "hauteur"
#: src/tarot-app/main.vala:202
#: src/tarot-app/main.vala:204
msgid "PNG height (defaults to 480)"
msgstr "Hauteur du PNG (par défaut, 480)"
#: src/tarot-app/main.vala:203 src/tarot-app/main.vala:309
#: src/tarot-app/main.vala:205 src/tarot-app/main.vala:316
msgid "encoded"
msgstr "encodées"
#: src/tarot-app/main.vala:203
#: src/tarot-app/main.vala:205
msgid "Encode the game features"
msgstr "Encode les caractéristiques de la partie"
#: src/tarot-app/main.vala:203
#: src/tarot-app/main.vala:205
msgid "yes|no"
msgstr "oui|non"
#: src/tarot-app/main.vala:204 src/tarot-app/main.vala:217
#: src/tarot-app/main.vala:206 src/tarot-app/main.vala:219
msgid "version"
msgstr "version"
#: src/tarot-app/main.vala:204
#: src/tarot-app/main.vala:206
msgid "Print version information and exit"
msgstr "Affiche l'information de version et quitte"
#: src/tarot-app/main.vala:205
#: src/tarot-app/main.vala:207
msgid "Don't exit the application if the main window is closed (for services)"
msgstr ""
"Ne pas quitter l'application si la fenêtre principale est fermée (pour un "
"service)"
#: src/tarot-app/main.vala:310
#: src/tarot-app/main.vala:317
msgid "yes"
msgstr "oui"
#: src/tarot-app/main.vala:312
#: src/tarot-app/main.vala:319
msgid "no"
msgstr "non"
#: src/tarot-app/main.vala:315
#: src/tarot-app/main.vala:322
#, c-format
msgid "Error: invalid encoding '%s'. Acceptable values are 'yes' and 'no'.\n"
msgstr ""
"Erreur : encodage « %s » invalide. Les valeurs acceptables sont « oui » et "
"« non ».\n"
#: src/tarot-app/main.vala:388
#: src/tarot-app/main.vala:395
msgid "straight-keep"
msgstr "garde-sans"
#: src/tarot-app/main.vala:390
#: src/tarot-app/main.vala:397
msgid "double-keep"
msgstr "garde-contre"
#: src/tarot-app/main.vala:465
#: src/tarot-app/main.vala:472
#, c-format
msgid "Invalid generation method '%s': not 'mcts' nor 'stacking'\n"
msgstr "Méthode de génération « %s » invalide : ni « mcts » ni « empilement »\n"
msgstr ""
"Méthode de génération « %s » invalide : ni « mcts » ni « empilement »\n"
#: src/tarot-app/main.vala:522 src/tarot-app/main.vala:540
#, c-format
msgid "DBus error: %s\n"
msgstr "Erreur dbus : %s\n"
#: src/tarot-app/gui/window.vala:210
#, c-format
......@@ -1565,7 +1589,7 @@ msgstr ""
msgid "Playing tarot against the AI"
msgstr "Jouer au tarot contre l'IA"
#: eu.planete_kraus.Tarot.appdata.xml.in:523
#: eu.planete_kraus.Tarot.appdata.xml.in:605
msgid "Vivien Kraus"
msgstr "Vivien Kraus"
......@@ -2420,6 +2444,9 @@ msgstr "21A"
msgid "P6"
msgstr "J6"
#~ msgid "Set the bus name to connect to"
#~ msgstr "Définit le nom du bus sur lequel se connecter"
#~ msgid "n-player"
#~ msgstr "n-joueurs"
......@@ -2435,12 +2462,6 @@ msgstr "J6"
#~ msgid "ERROR: the MCTS is not coherent.\n"
#~ msgstr "ERREUR : le MCTS n'est pas cohérent.\n"
#~ msgid "dbus-server"
#~ msgstr "serveur-dbus"
#~ msgid "Run as a DBus server"
#~ msgstr "Exécuter un serveur DBus"
#~ msgid "no-window"
#~ msgstr "sans-fenêtre"
......
......@@ -34,7 +34,6 @@ EXTRA_DIST += \
%reldir%/tarot/cards_private_impl.tpl
MAINTAINERCLEANFILES += \
$(srcdir)/%reldir%/tarot/cards.h \
$(srcdir)/%reldir%/tarot/cards_private.h \
$(srcdir)/%reldir%/tarot/cards_private_impl.h \
$(srcdir)/%reldir%/cards.def \
......
......@@ -19,6 +19,5 @@
AM_CPPFLAGS += -I $(srcdir)/%reldir% -I %reldir%
include %reldir%/tarot-cli-program.am
include %reldir%/dbus-service.am
include %reldir%/check-dbus.am
include %reldir%/run-with-c-locale.am
// ai.vala
//
// Copyright (C) 2019 Vivien Kraus <vivien@planete-kraus.eu>
//
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see
// <http://www.gnu.org/licenses/>.
namespace Tarot {
public abstract class AiGame: Object {
private Tarot.Game m_game;
public signal void event_bid (uint bid);
public signal void event_decl (bool decl);
public signal void event_call (uint card);
public signal void event_discard (uint[] cards);
public signal void event_handful (uint[] cards);
public signal void event_play (uint card);
public signal void finished (int my_score);
protected abstract Tarot.GameEvent get_best (Tarot.Game game);
private static Tarot.Card[] to_cards (uint[] cards) {
var ret = new Tarot.Card[cards.length];
for (size_t i = 0; i < cards.length; i++) {
ret[i] = (Tarot.Card) cards[i];
}
return ret;
}
private void add_event_or_fail (Tarot.GameEvent e) {
if (add_event (e) != Tarot.GameError.OK) {
stderr.printf ("Invalid server event: %s.\n", e.type ().to_string ());
GLib.Process.abort ();
}
}
private bool subscribed = false;
public AiGame (Seat seat) {
m_game = new Tarot.Game.alloc ();
seat.event_setup.connect ((n_players, with_call) => {